package  fd.explicit;

import  juice.util.JuiceUtil;
import    rsf.vector.*;
import  juice.util.Tester;
import   java.util.Random;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
public class AbsorbingBoundaryTest {
  public static void main( String[] args) {

    boolean passed = true;
    Random randy = new Random(1998); 

    int ny =  9; 
    int nx = 10; 
    Rsf vel = RsfFactory.newRsf(nx,ny); vel.fill(2.0F); 

    Rsf[] medium = AbsorbingBoundary.getVelocities(vel);
    /*
    for (int i=0; i<medium.length; i++) {
      System.err.println("medium[" + i + "]: " + medium[i]);
      medium[i].write(new String("medium" + i + ".H"));
    }
    */
    int[] loc1 = {0,0}; 
    System.err.println(medium[0].getDatum(loc1));
    if (medium[0].getDatum(loc1) != 0.0f) passed = false; 
    int[] loc4 = {1,1}; 
    System.err.println(medium[4].getDatum(loc4));
    if (medium[4].getDatum(loc4) != 4.0f) passed = false; 

    Tester.exit(passed);
  }
}

